summaryrefslogtreecommitdiffstats
path: root/.local/bin/conky
diff options
context:
space:
mode:
Diffstat (limited to '.local/bin/conky')
-rwxr-xr-x.local/bin/conky/weather.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/.local/bin/conky/weather.sh b/.local/bin/conky/weather.sh
new file mode 100755
index 0000000..273825c
--- /dev/null
+++ b/.local/bin/conky/weather.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+os=$(cat /tmp/os)
+
+case $os in
+ 1)
+ ping -c1 -w1 1.1.1.1 >/dev/null 2>&1 || exit
+ ;;
+ 2)
+ ping -c1 -w1 1.1.1.1 >/dev/null 2>&1 || exit
+ ;;
+ 3)
+ ping -c1 -t1 1.1.1.1 >/dev/null 2>&1 || exit
+ ;;
+esac
+
+echo 'WEATHER ${hr}
+${font2}${color #ebdbb2}${alignc}${exec curl wttr.in/Lyon?T0 --silent --max-time 3}${font}'